---
title: DisplayMediaStreamConstraints.audio
slug: Web/API/DisplayMediaStreamConstraints/audio
tags:
  - API
  - Audio
  - Capture
  - Constraints
  - DisplayMediaStreamTrack
  - Options
  - Property
  - Reference
  - Screen Capture
  - Screen Capture API
  - Screen Sharing
  - Settings
  - Sharing
  - screen
  - track
---
<p>{{APIRef("Screen Capture API")}}</p>

<p>The {{domxref("DisplayMediaStreamConstraints")}} dictionary's <strong><code>audio</code></strong> property is used to specify whether or not to request that the {{domxref("MediaStream")}} containing screen display contents also include an audio track. This value may be a Boolean, where <code>true</code> indicates that an audio track should be included an <code>false</code> (the default) indicates that no audio should be included in the stream.</p>

<p>More precise control over the audio data may be exercised by instead providing a {{domxref("MediaTrackConstraints")}} object, which is used to process the audio prior to adding it to the stream.</p>

<div class="notecard note">
<p><strong>Note:</strong> The specification for the Screen Capture API does not define what the contents of the audio track should be. This is left up to the {{Glossary("user agent")}} to decide. Likely sources are the computer's system audio output and the user's microphone, but there is no way to specify which source to use.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>displayMediaStreamConstraints</em>.audio = <em>allowAudioFlag</em>;
<em>displayMediaStreamConstraints</em>.audio = <em>mediaTrackConstraints</em>;

<em>displayMediaStreamConstraints</em> = {
  audio: <em>allowAudioFlag</em>|<em>mediaTrackConstraints</em>;
}
</pre>

<h3 id="Value">Value</h3>

<p>The value may be either a Boolean or a {{domxref("MediaTrackConstraints")}} object.</p>

<p>If a Boolean is specified, a value of <code>true</code> indicates that an audio track should be included in the stream returned by {{domxref("MediaDevices.getDisplayMedia", "getDisplayMedia()")}}, if an appropriate audio source exists and the user agent supports audio on display media. A value of <code>false</code>—the default—indicates that no audio track is to be included in the stream.</p>

<p>If a <code>MediaTrackConstraints</code> object is given, and an audio source is available, an audio track matching the settings given in the constraints object is included in the {{domxref("MediaStream")}} returned by <code>getDisplayMedia()</code>.</p>

<p>If no audio source is available, or the user agent doesn't support audio tracks with <code>getDisplayMedia()</code>, the returned <code>MediaStream</code> has no audio track, but no error occurs. The audio track is always considered optional.</p>

<h2 id="Example">Example</h2>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Screen Capture', '#dom-displaymediastreamconstraints-audio', 'DisplayMediaStreamConstraints.audio')}}</td>
   <td>{{Spec2('Screen Capture')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DisplayMediaStreamConstraints.audio")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Screen_Capture_API">Screen Capture API</a></li>
 <li><a href="/en-US/docs/Web/API/Screen_Capture_API/Using_Screen_Capture">Using the Screen Capture API</a></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API/Constraints">Capabilities, constraints, and settings</a></li>
</ul>
